# Class Attribute

java.lang.Object
javax.management.Attribute

All Implemented Interfaces:
  `Serializable`

public class Attribute extends Object implements Serializable
Represents an MBean attribute by associating its name with its value. The MBean server and other objects use this class to get and set attributes values.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Attribute(String name, Object value)`
Constructs an Attribute object which associates the given attribute name with the given value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Compares the current Attribute Object with another Attribute Object.
`String`
`getName()`
Returns a String containing the name of the attribute.
`Object`
`getValue()`
Returns an Object that is the value of this attribute.
`int`
`hashCode()`
Returns a hash code value for this attribute.
`String`
`toString()`
Returns a String object representing this Attribute's value.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### Attribute

public Attribute(String name, Object value)
Constructs an Attribute object which associates the given attribute name with the given value.

Parameters:
  `name` - A String containing the name of the attribute to be created. Cannot be null.
  `value` - The Object which is assigned to the attribute. This object must be of the same type as the attribute.

## Method Details

### getName

public String getName()
Returns a String containing the name of the attribute.

Returns:
  the name of the attribute.

### getValue

public Object getValue()
Returns an Object that is the value of this attribute.

Returns:
  the value of the attribute.

### equals

public boolean equals(Object object)
Compares the current Attribute Object with another Attribute Object.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - The Attribute that the current Attribute is to be compared with.
Returns:
  True if the two Attribute objects are equal, otherwise false.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

public int hashCode()
Returns a hash code value for this attribute.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this attribute.
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`

### toString

public String toString()
Returns a String object representing this Attribute's value. The format of this string is not specified, but users can expect that two Attributes return the same string if and only if they are equal.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object